// -*-c++-*-
//------------------------------------------------------------------------------
// xword - (http://xword.sourceforge.net)
// Copyright 2002 Patrick Crosby <pcrosby@pobox.com>
//------------------------------------------------------------------------------
// Clue.cpp
//
// $Id: Clue.cpp,v 1.3 2002/01/23 19:43:03 pcrosby Exp $
//------------------------------------------------------------------------------
// This program is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free Software
// Foundation; either version 2 of the License, or (at your option) any later
// version.
//
// This program is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
// details.
//
// You should have received a copy of the GNU General Public License along with
// this program; if not, write to the Free Software Foundation, Inc., 59 Temple
// Place, Suite 330, Boston, MA  02111-1307  USA
//------------------------------------------------------------------------------

#include "Clue.h"

#include <iostream>

#include "Namespace.h"

NAMESPACE_OPEN

//------------------------------------------------------------------------------

Clue::Clue()
{
	Clue(0, 0, "");
	m_bValid = false;
}

//------------------------------------------------------------------------------

Clue::Clue(int nRow, int nCol, const std::string& strText) :
	m_nRow(nRow),
	m_nCol(nCol),
	m_strText(strText),
	m_bValid(true)
{

}

//------------------------------------------------------------------------------

Clue::~Clue()
{

}

//------------------------------------------------------------------------------

void
Clue::SetText(const std::string& strText)
{
	m_strText = strText;
}

//------------------------------------------------------------------------------

void
Clue::Dump() const
{
	cout << "[" << m_nRow << ", " << m_nCol << "] " << m_strText << endl;
}

//------------------------------------------------------------------------------

NAMESPACE_CLOSE

//------------------------------------------------------------------------------
