// -*-c++-*-
//------------------------------------------------------------------------------
// xword - (http://xword.sourceforge.net)
// Copyright 2002 Patrick Crosby <pcrosby@pobox.com>
//------------------------------------------------------------------------------
// Clue.h
//
// $Id: Clue.h,v 1.3 2002/01/23 19:43:03 pcrosby Exp $
//------------------------------------------------------------------------------
// This program is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free Software
// Foundation; either version 2 of the License, or (at your option) any later
// version.
//
// This program is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
// details.
//
// You should have received a copy of the GNU General Public License along with
// this program; if not, write to the Free Software Foundation, Inc., 59 Temple
// Place, Suite 330, Boston, MA  02111-1307  USA
//------------------------------------------------------------------------------

#ifndef __Clue__
#define __Clue__

#include <string>

#include "Namespace.h"

NAMESPACE_OPEN

//------------------------------------------------------------------------------

class Clue
{
	// Constants
	// Types
	// Variables
	private:
		int m_nRow, m_nCol;
		std::string m_strText;
		bool m_bValid;
		
	// Methods
	public:
		Clue();
		Clue(int nRow, int nCol, const std::string& strText);
		~Clue();

		std::string GetText() const { return m_strText; }
		int GetRow() const { return m_nRow; }
		int GetCol() const { return m_nCol; }

		void SetText(const std::string& strText);
		
		bool IsValid() const { return m_bValid; }

		void Dump() const;
};

//------------------------------------------------------------------------------

NAMESPACE_CLOSE

#endif

//------------------------------------------------------------------------------
