// -*-c++-*-
//------------------------------------------------------------------------------
// xword - (http://xword.sourceforge.net)
// Copyright 2002 Patrick Crosby <pcrosby@pobox.com>
//------------------------------------------------------------------------------
// Error.cpp
//
// $Id: Error.cpp,v 1.2 2002/01/23 19:43:03 pcrosby Exp $
//------------------------------------------------------------------------------
// This program is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free Software
// Foundation; either version 2 of the License, or (at your option) any later
// version.
//
// This program is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
// details.
//
// You should have received a copy of the GNU General Public License along with
// this program; if not, write to the Free Software Foundation, Inc., 59 Temple
// Place, Suite 330, Boston, MA  02111-1307  USA
//------------------------------------------------------------------------------

#include "Error.h"
#include "ErrorManager.h"
#include "String.h"

#include <iostream>

#include "Namespace.h"

NAMESPACE_OPEN

//------------------------------------------------------------------------------

bool
Error::CustomAssert(bool bIn, const char* pMsg, int nLine,
					const char* pFilename)
{
	bool bResult = false;
	
	if (!bIn) {
		EM::I()->Error(std::string(pFilename) + " (" + String(nLine) + "):  " +
					   pMsg);
		bResult = true;
	}

	return bResult;
}

//------------------------------------------------------------------------------

NAMESPACE_CLOSE

//------------------------------------------------------------------------------
