// -*-c++-*-
//------------------------------------------------------------------------------
// xword - (http://xword.sourceforge.net)
// Copyright 2002 Patrick Crosby <pcrosby@pobox.com>
//------------------------------------------------------------------------------
// Error.h
//
// $Id: Error.h,v 1.2 2002/01/23 19:43:03 pcrosby Exp $
//------------------------------------------------------------------------------
// This program is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free Software
// Foundation; either version 2 of the License, or (at your option) any later
// version.
//
// This program is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
// details.
//
// You should have received a copy of the GNU General Public License along with
// this program; if not, write to the Free Software Foundation, Inc., 59 Temple
// Place, Suite 330, Boston, MA  02111-1307  USA
//------------------------------------------------------------------------------

#ifndef __Error__
#define __Error__

#include "Namespace.h"

NAMESPACE_OPEN

//------------------------------------------------------------------------------

#define Assert( exp, desc ) \
    if ( Error::CustomAssert( (bool)(exp), desc, __LINE__,\
        __FILE__ ) ) \
    { abort(); } /* somehow break to debugger */

//    { exit(1); } /* somehow break to debugger */

#define AssertNotNull( exp ) \
    if ( Error::CustomAssert( (exp != NULL), "AssertNotNull failed.", __LINE__,\
        __FILE__ ) ) \
    { abort(); } /* somehow break to debugger */

class Error
{
	// Constants
	// Types
	// Variables
	// Methods
	public:
		static bool CustomAssert(bool bIn, const char* pMsg, int nLine,
								 const char* pFilename);
};

//------------------------------------------------------------------------------

NAMESPACE_CLOSE

#endif

//------------------------------------------------------------------------------
