// -*-c++-*-
//------------------------------------------------------------------------------
// xword - (http://xword.sourceforge.net)
// Copyright 2002 Patrick Crosby <pcrosby@pobox.com>
//------------------------------------------------------------------------------
// Log.cpp
//
// $Id: Log.cpp,v 1.2 2002/01/23 19:43:03 pcrosby Exp $
//------------------------------------------------------------------------------
// This program is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free Software
// Foundation; either version 2 of the License, or (at your option) any later
// version.
//
// This program is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
// details.
//
// You should have received a copy of the GNU General Public License along with
// this program; if not, write to the Free Software Foundation, Inc., 59 Temple
// Place, Suite 330, Boston, MA  02111-1307  USA
//------------------------------------------------------------------------------

#include "Log.h"

#include "Namespace.h"

NAMESPACE_OPEN

//------------------------------------------------------------------------------

Log::LogLevel Log::s_nLogLevel = Log::NOISE;

//------------------------------------------------------------------------------

void
Log::Noise(const std::string& strMessage)
{
	if (s_nLogLevel < TRACE) {
		cout << strMessage << endl;
	}
}

//------------------------------------------------------------------------------

void
Log::Trace(const std::string& strMessage)
{
	if (s_nLogLevel < WARNING) {
		cout << strMessage << endl;
	}
}

//------------------------------------------------------------------------------

void
Log::Warn(const std::string& strMessage)
{
	if (s_nLogLevel < ERROR) {
		cerr << "*   " << strMessage << endl;
	}
}

//------------------------------------------------------------------------------

void
Log::Error(const std::string& strMessage)
{
	if (s_nLogLevel < NONE) {
		cerr << "*** " << strMessage << endl;
	}
}

//------------------------------------------------------------------------------

void
Log::SetLevel(LogLevel nLevel)
{
	s_nLogLevel = nLevel;
}

//------------------------------------------------------------------------------

NAMESPACE_CLOSE

//------------------------------------------------------------------------------
