// -*-c++-*-
//------------------------------------------------------------------------------
// xword - (http://xword.sourceforge.net)
// Copyright 2002 Patrick Crosby <pcrosby@pobox.com>
//------------------------------------------------------------------------------
// Square.h
//
// $Id: Square.h,v 1.2 2002/01/23 19:43:03 pcrosby Exp $
//------------------------------------------------------------------------------
// This program is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free Software
// Foundation; either version 2 of the License, or (at your option) any later
// version.
//
// This program is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
// details.
//
// You should have received a copy of the GNU General Public License along with
// this program; if not, write to the Free Software Foundation, Inc., 59 Temple
// Place, Suite 330, Boston, MA  02111-1307  USA
//------------------------------------------------------------------------------

#ifndef __Square__
#define __Square__

#include "Namespace.h"

NAMESPACE_OPEN

//------------------------------------------------------------------------------

class Square
{
	// Constants
	public:
		enum Type {
			BLANK,
			SOLID,
			NUMBER
		};
		
	// Types
	// Variables
	private:
		Type m_nType;
		int m_nAcrossNum;
		int m_nDownNum;
		
	// Methods
	public:
		Square();
		Square(Type nType, int nAcrossNum, int nDownNum);
		~Square();

		void SetType(Type nType) { m_nType = nType; }
		void SetAcrossNum(int nNum) { m_nAcrossNum = nNum; }
		void SetDownNum(int nNum) { m_nDownNum = nNum; }

		Type GetType() const { return m_nType; }
		int GetAcrossNum() const { return m_nAcrossNum; }
		int GetDownNum() const { return m_nDownNum; }
};

//------------------------------------------------------------------------------

NAMESPACE_CLOSE

#endif

//------------------------------------------------------------------------------
